Bug 131111 - AX: no accessibility support for details element
: AX: no accessibility support for details element
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Accessibility
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: chris fleizach
: InRadar
Depends on: 129787
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-02 09:57 PDT by James Craig
Modified: 2015-06-15 11:40 PDT (History)
12 users (show)

See Also:


Attachments
test case (201 bytes, text/html)
2014-04-02 11:41 PDT, James Craig
no flags Details
patch (11.06 KB, patch)
2015-06-14 22:13 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2014-04-02 09:57:16 PDT
This is like disclosure triangles on OS X. They are focusable buttons that expand and collapse the other sibling nodes. 

Probable changes for this bug. 

1. Change the DisclosureTriangleRole to just DisclosureRole. Will not always render as triangle.
2. Update summary element to use the new role, and be the label for the group.
3. Update AccessibilityObject::supportsARIAExpanded() to be supportsExpanded()… No longer ARIA-specific.
4. Update AccessibilityObject::isExpanded() to account for the boolean "open" attr on DisclosureRole in addition to aria-expanded.
5. Update test in getAccessibilityPropertiesForNode.html

Test case markup:

<details open>
  <summary>Some open info</summary>
  <p>Details about the open topic.</p>
</details>

<details>
  <summary>Some closed info</summary>
  <p>Details about the closed topic.</p>
</details>
Comment 1 Radar WebKit Bug Importer 2014-04-02 09:57:33 PDT
<rdar://problem/16500145>
Comment 2 James Craig 2014-04-02 11:41:30 PDT
Created attachment 228406 [details]
test case
Comment 3 Steve Faulkner 2015-06-13 11:48:07 PDT
any update on this? just checked in Version 8.0.5 (10600.5.17, r183741) and no acc support.
Comment 4 chris fleizach 2015-06-14 22:13:45 PDT
Created attachment 254865 [details]
patch
Comment 5 WebKit Commit Bot 2015-06-15 11:39:59 PDT
Comment on attachment 254865 [details]
patch

Clearing flags on attachment: 254865

Committed r185558: <http://trac.webkit.org/changeset/185558>
Comment 6 WebKit Commit Bot 2015-06-15 11:40:05 PDT
All reviewed patches have been landed.  Closing bug.